Skip to main content
POST
cURL
Related guide: Manage the deployment lifecycle.

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

model_id
string
required
deployment_id
string
required

Body

application/json

A request to promote a deployment to production.

scale_down_previous_production
boolean
default:true

Whether to scale down the previous production deployment after promoting

Example:

true

preserve_env_instance_type
boolean
default:true

Whether to use the promoting deployment's instance type or preserve target environment's instance type

Example:

true

environment_settings_update
PromotionEnvironmentSettingsUpdateV1 · object | null

Changes to the environment's settings. Omitted fields are unchanged. The promoted deployment uses the environment's current settings with these changes applied, and the environment keeps the result when the promotion completes.

Example:
promotion_settings_override
UpdatePromotionSettingsV1 · object | null

Promotion settings for this promotion only. Omitted fields keep the environment's values, and the environment's promotion settings are unchanged.

Example:

Response

200 - application/json

A deployment of a model.

id
string
required

Unique identifier of the deployment

created_at
string<date-time>
required

Time the deployment was created in ISO 8601 format

name
string
required

Name of the deployment

model_id
string
required

Unique identifier of the model

is_production
boolean
required

Whether the deployment is the production deployment of the model

is_development
boolean
required

Whether the deployment is the development deployment of the model

status
enum<string>
required

Status of the deployment

Available options:
BUILDING,
DEPLOYING,
DEPLOY_FAILED,
LOADING_MODEL,
ACTIVE,
UNHEALTHY,
BUILD_FAILED,
BUILD_STOPPED,
DEACTIVATING,
INACTIVE,
FAILED,
UPDATING,
SCALED_TO_ZERO,
WAKING_UP
active_replica_count
integer
required

Number of active replicas

autoscaling_settings
AutoscalingSettingsV1 · object | null
required

Autoscaling settings for the deployment. If null, the model has not finished deploying

instance_type_name
string | null
required

Name of the instance type the model deployment is running on

environment
string | null
required

The environment associated with the deployment

request_backpressure_settings
RequestBackpressureSettingsV1 · object
required

Effective request backpressure settings for the deployment.

labels
Labels · object | null

User-provided key-value labels for the deployment

region
RegionV1 · object | null

The selected region for the deployment, if any